> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coderabbit.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Read the recorded priority and close-candidacy history



## OpenAPI

````yaml /openapi.json get /v1/triage/changes/{id}/history
openapi: 3.0.3
info:
  title: CodeRabbit API spec
  version: 1.0.0
servers:
  - url: https://api.coderabbit.ai
security:
  - ApiKeyAuth: []
paths:
  /v1/triage/changes/{id}/history:
    get:
      tags:
        - Triage
      summary: Read the recorded priority and close-candidacy history
      operationId: list_triage_change_history
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            minLength: 1
            maxLength: 255
            pattern: ^[^,\s/\p{Cc}]+$
        - name: org_id
          in: query
          schema:
            type: string
            minLength: 1
            maxLength: 255
            pattern: ^[^,\s/\p{Cc}]+$
          allowEmptyValue: true
          allowReserved: true
        - name: limit
          in: query
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 50
          allowEmptyValue: true
          allowReserved: true
        - name: cursor
          in: query
          schema:
            type: string
            minLength: 1
            maxLength: 4096
            pattern: ^[A-Za-z0-9_-]+$
          allowEmptyValue: true
          allowReserved: true
        - name: type
          in: query
          schema:
            enum:
              - all
              - priority
              - close_candidacy
            type: string
            default: all
          allowEmptyValue: true
          allowReserved: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      anyOf:
                        - type: object
                          properties:
                            id:
                              type: string
                              minLength: 1
                              maxLength: 255
                              pattern: ^[^,\s/\p{Cc}]+$
                            occurred_at:
                              type: string
                              format: date-time
                            source:
                              enum:
                                - calculated
                                - manual
                              type: string
                            actor:
                              anyOf:
                                - type: object
                                  properties:
                                    id:
                                      type: string
                                      minLength: 1
                                      maxLength: 255
                                      pattern: ^[^,\s/\p{Cc}]+$
                                    identity_type:
                                      enum:
                                        - coderabbit
                                    name:
                                      anyOf:
                                        - type: string
                                        - type: string
                                          nullable: true
                                          enum:
                                            - null
                                  required:
                                    - id
                                    - identity_type
                                    - name
                                  additionalProperties: false
                                - type: string
                                  nullable: true
                                  enum:
                                    - null
                            reason:
                              anyOf:
                                - type: string
                                - type: string
                                  nullable: true
                                  enum:
                                    - null
                            type:
                              enum:
                                - priority
                            previous_value:
                              anyOf:
                                - enum:
                                    - p0
                                    - p1
                                    - p2
                                    - p3
                                    - none
                                  type: string
                                - type: string
                                  nullable: true
                                  enum:
                                    - null
                            new_value:
                              enum:
                                - p0
                                - p1
                                - p2
                                - p3
                                - none
                              type: string
                          required:
                            - id
                            - occurred_at
                            - source
                            - actor
                            - reason
                            - type
                            - previous_value
                            - new_value
                          additionalProperties: false
                        - type: object
                          properties:
                            id:
                              type: string
                              minLength: 1
                              maxLength: 255
                              pattern: ^[^,\s/\p{Cc}]+$
                            occurred_at:
                              type: string
                              format: date-time
                            source:
                              enum:
                                - calculated
                                - manual
                              type: string
                            actor:
                              anyOf:
                                - type: object
                                  properties:
                                    id:
                                      type: string
                                      minLength: 1
                                      maxLength: 255
                                      pattern: ^[^,\s/\p{Cc}]+$
                                    identity_type:
                                      enum:
                                        - coderabbit
                                    name:
                                      anyOf:
                                        - type: string
                                        - type: string
                                          nullable: true
                                          enum:
                                            - null
                                  required:
                                    - id
                                    - identity_type
                                    - name
                                  additionalProperties: false
                                - type: string
                                  nullable: true
                                  enum:
                                    - null
                            reason:
                              anyOf:
                                - type: string
                                - type: string
                                  nullable: true
                                  enum:
                                    - null
                            type:
                              enum:
                                - close_candidacy
                            previous_value:
                              anyOf:
                                - type: boolean
                                - type: string
                                  nullable: true
                                  enum:
                                    - null
                            new_value:
                              type: boolean
                          required:
                            - id
                            - occurred_at
                            - source
                            - actor
                            - reason
                            - type
                            - previous_value
                            - new_value
                          additionalProperties: false
                  next_cursor:
                    anyOf:
                      - type: string
                        minLength: 1
                        maxLength: 4096
                        pattern: ^[A-Za-z0-9_-]+$
                      - type: string
                        nullable: true
                        enum:
                          - null
                  meta:
                    type: object
                    properties:
                      request_id:
                        type: string
                        minLength: 1
                      org_id:
                        type: string
                        minLength: 1
                        maxLength: 255
                        pattern: ^[^,\s/\p{Cc}]+$
                      generated_at:
                        type: string
                        format: date-time
                      total_count:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                      limit:
                        type: integer
                        minimum: 1
                        maximum: 100
                      change_id:
                        type: string
                        minLength: 1
                        maxLength: 255
                        pattern: ^[^,\s/\p{Cc}]+$
                      type:
                        enum:
                          - all
                          - priority
                          - close_candidacy
                        type: string
                      history_complete:
                        anyOf:
                          - type: boolean
                          - type: string
                            nullable: true
                            enum:
                              - null
                    required:
                      - request_id
                      - org_id
                      - generated_at
                      - total_count
                      - limit
                      - change_id
                      - type
                      - history_complete
                    additionalProperties: false
                required:
                  - data
                  - next_cursor
                  - meta
                additionalProperties: false
        '400':
          description: '400'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        enum:
                          - invalid_request
                        type: string
                      message:
                        type: string
                      retry_after:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                        exclusiveMinimum: true
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '401':
          description: '401'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        enum:
                          - unauthenticated
                        type: string
                      message:
                        type: string
                      retry_after:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                        exclusiveMinimum: true
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '403':
          description: '403'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        enum:
                          - forbidden
                        type: string
                      message:
                        type: string
                      retry_after:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                        exclusiveMinimum: true
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '404':
          description: '404'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        enum:
                          - not_found
                        type: string
                      message:
                        type: string
                      retry_after:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                        exclusiveMinimum: true
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '409':
          description: '409'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        enum:
                          - head_changed
                          - conflict
                        type: string
                      message:
                        type: string
                      retry_after:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                        exclusiveMinimum: true
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '412':
          description: '412'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        enum:
                          - precondition_failed
                        type: string
                      message:
                        type: string
                      retry_after:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                        exclusiveMinimum: true
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '413':
          description: '413'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        enum:
                          - payload_too_large
                        type: string
                      message:
                        type: string
                      retry_after:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                        exclusiveMinimum: true
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '429':
          description: '429'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        enum:
                          - rate_limit_exceeded
                        type: string
                      message:
                        type: string
                      retry_after:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                        exclusiveMinimum: true
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '500':
          description: '500'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        enum:
                          - internal_error
                        type: string
                      message:
                        type: string
                      retry_after:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                        exclusiveMinimum: true
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
        '503':
          description: '503'
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        enum:
                          - unavailable
                      message:
                        type: string
                      retry_after:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                        exclusiveMinimum: true
                    required:
                      - code
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-coderabbitai-api-key
      description: >-
        API key for authentication. You can create an API key from the
        CodeRabbit dashboard.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.